SQL-инъекция в Ruby on Rails

Дата публикации:
16.09.2008
Всего просмотров:
1906
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby on Rails 1.x
Ruby on Rails 2.x
Уязвимые версии: Ruby on Rails версии до 2.1.1

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки Active Record в параметрах ":offset" и ":limit". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: www.rubyonrails.org

Решение: Установите последнюю версию 2.1.1 с сайта производителя.

Ссылки: http://blog.innerewut.de/2008/6/16/why-you-should-upgrade-to-rails-2-1
http://rails.lighthouseapp.com/projects/8994/tickets/288
http://rails.lighthouseapp.com/projects/8994/tickets/964

или введите имя

CAPTCHA